' Comparison — Relational operators: = <> < > <= >=
#COMPILE EXE
#DIM ALL

FUNCTION PBMAIN() AS LONG
    LOCAL a AS LONG
    LOCAL b AS LONG
    LOCAL r AS LONG

    a = 10
    b = 20

    PRINT "a = " + STR$(a) + ", b = " + STR$(b)
    PRINT STRING$(40, 45)
    PRINT

    r = (a = b)
    PRINT "a =  b ? " + STR$(r)
    r = (a <> b)
    PRINT "a <> b ? " + STR$(r)
    r = (a < b)
    PRINT "a <  b ? " + STR$(r)
    r = (a > b)
    PRINT "a >  b ? " + STR$(r)
    r = (a <= b)
    PRINT "a <= b ? " + STR$(r)
    r = (a >= b)
    PRINT "a >= b ? " + STR$(r)

    FUNCTION = 0
END FUNCTION
